-- CustomConfig.lua
-- Handles Saving, Loading, & Defaults

--================================================================================================--
--=========================================== Header =============================================--
--================================================================================================--

local addonName, addonTable = ...
----------------------------------------------------------------------------------------------------
-- Addon Variables
----------------------------------------------------------------------------------------------------
local AddonName		= addonTable.Name;
local AddonVersion	= addonTable.Version;
local Addon;

----------------------------------------------------------------------------------------------------
--  Get Library Info
----------------------------------------------------------------------------------------------------
if (LibStub("AceAddon-3.0"):GetAddon(AddonName.." "..AddonVersion)) then
	Addon = LibStub("AceAddon-3.0"):GetAddon(AddonName.." "..AddonVersion);
else
	return;
end

--================================================================================================--
--=========================================== Header =============================================--
--================================================================================================--

-- Local Variables
Addon.Config = {};


function Addon.Config.Load()
	if (Addon.db.char.UseCustomConfig) then
		Addon.Config.Run();
	end
end


function Addon.Config.Run()
	-- Setup Hotkeys
	
	-- Reload UI
	Addon.ActionBar3:GetButton(0):SetKeybinding("CTRL-SHIFT-F5");
	
	-- Dismount
	Addon.ActionBar4:GetButton(1):SetKeybinding("SHIFT-N");
	
	-- Mount 1
	Addon.ActionBar3:GetButton(8):SetKeybinding("CTRL-N");

	-- Mount 2
	Addon.ActionBar4:GetButton(8):SetKeybinding("CTRL-M");

	-- Profession 1
	Addon.ActionBar4:GetButton(10):SetKeybinding("[")
	
	-- Profession 2
	Addon.ActionBar3:GetButton(10):SetKeybinding("]")
	
	-- Hearthstone
	Addon.ActionBar3:GetButton(11):SetAction("item", "item:6948")
	Addon.ActionBar3:GetButton(11):SetAction("item", "item:6948")
	Addon.ActionBar3:GetButton(11):SetKeybinding("CTRL-B");

end