-- UIConfigButton.lua
-- Handle Layout of the UI

local addonName, addonTable = ...
----------------------------------------------------------------------------------------------------
-- Addon Variables
----------------------------------------------------------------------------------------------------
local AddonName		= addonTable.Name;
local AddonVersion	= addonTable.Version;
local Addon;

----------------------------------------------------------------------------------------------------
--  Get Library Info
----------------------------------------------------------------------------------------------------
if (LibStub("AceAddon-3.0"):GetAddon(AddonName.." "..AddonVersion)) then
	Addon = LibStub("AceAddon-3.0"):GetAddon(AddonName.." "..AddonVersion);
else
	return;
end

--================================================================================================--
--=========================================== Header =============================================--
--================================================================================================--
-- UI Config Button

----------------------------------------------------------------------------------------------------
-- libs
----------------------------------------------------------------------------------------------------
local libFrameCreator	= LibStub:GetLibrary("FoxFrameCreator");
----------------------------------------------------------------------------------------------------

Addon.InfoFrames = Addon.InfoFrames or {};

Addon.InfoFrames.ConfigButton = Addon.InfoFrames.ConfigButton or {};

local name = "FSUI_UIConfigButton";

function Addon.InfoFrames.ConfigButton.New()
	local self;
	if (_G[name] == nil) then
		self = libFrameCreator.New(name);
	else
		self = libFrameCreator.Setup(_G[name]);
	end
	self:SetWidth(92);
	self:SetHeight(24);
	libFrameCreator.SetupFrameWithoutBorder(self);
	
	self:Hide();

	local doOnce;
	local function OnClick(self)
		if (not doOnce) then
			doOnce = true;
			InterfaceOptionsFrame_OpenToCategory(AddonName);
		end
		InterfaceOptionsFrame_OpenToCategory(AddonName);
	end
	
	self.btn = self.btn or CreateFrame("Button", self:GetName().."Btn", self, "UIPanelButtonTemplate");
	
	self.btn:ClearAllPoints();
	self.btn:SetPoint("Center");

	self.btn:SetWidth(86);
	self.btn:SetHeight(16);
	self.btn:GetFontString():SetFont("Fonts\\FRIZQT__.TTF", 10, "Outline");
	self.btn:SetText("UI Config");
	
	self.btn:SetScript("OnClick", OnClick);
	
	return self;
end