-- UIRecountButton.lua
-- Handle Layout of the UI

local addonName, addonTable = ...
----------------------------------------------------------------------------------------------------
-- Addon Variables
----------------------------------------------------------------------------------------------------
local AddonName		= addonTable.Name;
local AddonVersion	= addonTable.Version;
local Addon;

----------------------------------------------------------------------------------------------------
--  Get Library Info
----------------------------------------------------------------------------------------------------
if (LibStub("AceAddon-3.0"):GetAddon(AddonName.." "..AddonVersion)) then
	Addon = LibStub("AceAddon-3.0"):GetAddon(AddonName.." "..AddonVersion);
else
	return;
end

--================================================================================================--
--=========================================== Header =============================================--
--================================================================================================--
-- UI Recount Button

----------------------------------------------------------------------------------------------------
-- libs
----------------------------------------------------------------------------------------------------
local libFrameCreator	= LibStub:GetLibrary("FoxFrameCreator");
----------------------------------------------------------------------------------------------------

Addon.InfoFrames = Addon.InfoFrames or {};

Addon.InfoFrames.RecountButton = Addon.InfoFrames.RecountButton or {};

local name = "FSUI_UIRecountButton";

function Addon.InfoFrames.RecountButton.New()
	local self;
	if (_G[name] == nil) then
		self = libFrameCreator.New(name);
	else
		self = libFrameCreator.Setup(_G[name]);
	end
	self:SetWidth(116);
	self:SetHeight(24);
	libFrameCreator.SetupFrameWithoutBorder(self);
	
	self:Hide();
	
	local function OnClick(self)
		if (Recount_MainWindow:IsShown()) then
			Recount_MainWindow:Hide();
		else
			Recount_MainWindow:Show();
			local Recount = LibStub("AceAddon-3.0"):GetAddon("Recount", true);
			if (Recount) then
				Recount:RefreshMainWindow();
			end
		end
	end
	
	self.btn = self.btn or CreateFrame("Button", self:GetName().."Btn", self, "UIPanelButtonTemplate");
	
	self.btn:ClearAllPoints();
	self.btn:SetPoint("Center");

	self.btn:SetWidth(112);
	self.btn:SetHeight(16);
	self.btn:GetFontString():SetFont("Fonts\\FRIZQT__.TTF", 10, "Outline");
	self.btn:SetText("Toggle Recount");
	
	self.btn:SetScript("OnClick", OnClick);
	
	return self;
end