-- Initialize.lua
-- Initializes the Addon

--================================================================================================--
--=========================================== Header =============================================--
--================================================================================================--

local addonName, addonTable = ...
----------------------------------------------------------------------------------------------------
-- Addon Variables
----------------------------------------------------------------------------------------------------
local AddonName 			= "FoxSmoothUI";
local AddonVersion			= "3.1";
local AddonVersionMinor		= ".0";
local Addon;

----------------------------------------------------------------------------------------------------
-- Library Creation
----------------------------------------------------------------------------------------------------
if (LibStub("AceAddon-3.0"):GetAddon(AddonName.." "..AddonVersion, true) == nil) then
	Addon = LibStub("AceAddon-3.0"):NewAddon(AddonName.." "..AddonVersion, "AceEvent-3.0", "AceHook-3.0");
else
	Addon = LibStub("AceAddon-3.0"):GetAddon(AddonName.." "..AddonVersion);
end

----------------------------------------------------------------------------------------------------
-- Setup Project Header Variables
addonTable.Name 	= AddonName;
addonTable.Version 	= AddonVersion;
----------------------------------------------------------------------------------------------------

----------------------------------------------------------------------------------------------------
-- Libraries
----------------------------------------------------------------------------------------------------
local LibObjectClass = LibStub:GetLibrary("FoxObjectClass");

----------------------------------------------------------------------------------------------------
-- Console
----------------------------------------------------------------------------------------------------
Addon.Console 			= LibStub:GetLibrary("FoxConsole");
Addon.Name 				= AddonName;
Addon.FolderName		= "FoxSmoothUI 3.1";
Addon.Version			= AddonVersion;
Addon.MessageColor 		= 2;
Addon.ObjectClass 		= LibObjectClass.Class;
Addon.ObjectClasses 	= LibObjectClass.Classes;

Addon.Objects 			= {};

Addon.FirstLoad			= {};

----------------------------------------------------------------------------------------------------
-- Addon Module Function Arrays
----------------------------------------------------------------------------------------------------
-- Main
Addon.InitializationFunctions 	= Addon.InitializationFunctions or {};
Addon.DisableFunctions 			= Addon.DisableFunctions or {};
Addon.EnableFunctions 			= Addon.EnableFunctions or {};

-- Events
Addon.Module_PEW 				= Addon.Module_PEW or {};

-- Custom Events
Addon.ConfigOptionsFuncs 		= Addon.ConfigOptionsFuncs or {};


----------------------------------------------------------------------------------------------------
-- Variables
----------------------------------------------------------------------------------------------------
local StrColorRed 		= "|cFFFF0000";
local StrColorGreen		= "|cFF00FF00";
local StrColorReturn 	= "|r";


----------------------------------------------------------------------------------------------------
-- Debug Methods
----------------------------------------------------------------------------------------------------
function Addon.DebugPrint(message)
	if (Addon.db.profile.Debug) then
		Addon.Console.Print(Addon:GetName(), message, Addon.MessageColor);
	end
end

----------------------------------------------------------------------------------------------------
-- Object Methods
----------------------------------------------------------------------------------------------------
function Addon:GetObject(name)
	if (Addon.Objects[name] ~= nil) then
		return Addon.Objects[name];
	else
		error('Unknown Object:"'..name..'"');
		return nil;
	end	
end

function Addon:GetName()
	return Addon.Name.." v"..Addon.Version:format("%.3f");
end

function Addon:AddObject(object)
	Addon.Objects[#Addon.Objects] = object;
	object:OnInitialize();
	if (Addon:IsEnabled()) then
		object:OnEnable();
	else
		object:OnDisable();
	end
end

