-- LayoutManager.lua
-- Handle Layout of the UI

local addonName, addonTable = ...
----------------------------------------------------------------------------------------------------
-- Addon Variables
----------------------------------------------------------------------------------------------------
local AddonName		= addonTable.Name;
local AddonVersion	= addonTable.Version;
local Addon;

----------------------------------------------------------------------------------------------------
--  Get Library Info
----------------------------------------------------------------------------------------------------
if (LibStub("AceAddon-3.0"):GetAddon(AddonName.." "..AddonVersion)) then
	Addon = LibStub("AceAddon-3.0"):GetAddon(AddonName.." "..AddonVersion);
else
	return;
end

--================================================================================================--
--=========================================== Header =============================================--
--================================================================================================--

-- LayoutManager.lua

Addon.Layout = Addon.Layout or {};

local Original;
local Layout2;

function Addon.Layout.SetLayout(layoutName)
	if (layoutName == "Original") then
		Original();
		
	elseif (layoutName == "Layout2") then
		Layout2();
		
	end
end



function Original()
	-- Set XP/Rep Bar to Stretch
	Addon.Layout.SetStatBarLayout(false);
	
	Addon.BottomLeft.TimeFrame:GetInfoBar():RemoveFrame(Addon.BottomLeft.TimeFrame);
	Addon.BottomLeft.DurabilityFrame:GetInfoBar():RemoveFrame(Addon.BottomLeft.DurabilityFrame);
	Addon.BottomLeft.CurrencyBarFrame:GetInfoBar():RemoveFrame(Addon.BottomLeft.CurrencyBarFrame);

	--local parent = Addon.BottomLeft.ActionBarFrame;
	--Addon.BottomLeft.InfoBar = Addon.Frames.InfoBar.New(Addon.BottomLeft.InfoBar, parent, "BottomLeft", 0)

	--Addon.BottomLeft.InfoBar:SetPoint("Bottom", parent, "Top")

	Addon.BottomLeft.InfoBarFrame:AddFrameLeft(Addon.BottomLeft.TimeFrame);
	Addon.BottomLeft.InfoBarFrame:AddFrameLeft(Addon.BottomLeft.DurabilityFrame);
	Addon.BottomLeft.InfoBarFrame:AddFrameRight(Addon.BottomLeft.CurrencyBarFrame);
	
	Addon.BottomLeft.ChatBoxFrame:ClearAllPoints()
	Addon.BottomLeft.ChatBoxFrame:SetPoint("Left", UIParent, "Left", 0, 0);
	Addon.BottomLeft.ChatBoxFrame:SetPoint("Bottom", Addon.BottomLeft.InfoBarFrame, "Top")

	Addon.BottomLeft.InfoBarFrame:Show();
	Addon.Bottom.InfoBarFrame:Hide();
	
	
	Addon.Bottom.HealthBarFrame:Show();
	Addon.Bottom.ResourceBarFrame:Show();
	
	Addon.Bottom.HealthBarFrame:SetPoint("Bottom", UIParent);
	Addon.Bottom.ResourceBarFrame:SetPoint("Bottom", UIParent);
	
end
function Layout2()
	-- Set XP/Rep Bar to Stretch
	Addon.Layout.SetStatBarLayout(true);
	
	-- Remove frames from InfoBar
	Addon.BottomLeft.TimeFrame:GetInfoBar():RemoveFrame(Addon.BottomLeft.TimeFrame);
	Addon.BottomLeft.DurabilityFrame:GetInfoBar():RemoveFrame(Addon.BottomLeft.DurabilityFrame);
	Addon.BottomLeft.CurrencyBarFrame:GetInfoBar():RemoveFrame(Addon.BottomLeft.CurrencyBarFrame);
	
	-- Add InfoBar Frames
	Addon.Bottom.InfoBarFrame:AddFrameRight(FSUI_TimeFrame);
	Addon.Bottom.InfoBarFrame:AddFrameRight(FSUI_CurrencyFrame);
	Addon.Bottom.InfoBarFrame:AddFrameRight(FSUI_DurabilityFrame);
	
	-- Move ChatFrame
	Addon.BottomLeft.ChatBoxFrame:ClearAllPoints()
	Addon.BottomLeft.ChatBoxFrame:SetPoint("Left", UIParent, "Left", 0, 0);
	Addon.BottomLeft.ChatBoxFrame:SetPoint("Bottom", Addon.BottomLeft.ActionBarFrame, "Top", 0, 0);
	
	Addon.BottomLeft.InfoBarFrame:Hide();
	Addon.Bottom.InfoBarFrame:Show();
	
	Addon.Bottom.HealthBarFrame:Hide();
	Addon.Bottom.ResourceBarFrame:Hide();
	
	local anchor = Addon.Bottom.InfoBarFrame;
	if (Addon.Bottom.RepBarFrame:IsShown()) then
		anchor = Addon.Bottom.RepBarFrame;
	elseif (Addon.Bottom.XPBarFrame:IsShown()) then
		anchor = Addon.Bottom.XPBarFrame;
	end
	
	--Addon.Bottom.HealthBarFrame:SetPoint("Bottom", anchor, "Top");
	--Addon.Bottom.ResourceBarFrame:SetPoint("Bottom", anchor, "Top");
end

---------------------------------------------------------------------------------
-- Handles moving the Left, and Right Bars
------- Put into LayoutManager.lua
---------------------------------------------------------------------------------
function Addon.Layout.SetStatBarLayout(value)
	local h = 20;
	if (value) then
		local w = GetScreenWidth();
		Addon.Bottom.RepBarFrame:SetWidth(w);
		Addon.Bottom.RepBarFrame:SetHeight(h);
		Addon.Bottom.XPBarFrame:SetWidth(w);
		Addon.Bottom.XPBarFrame:SetHeight(h);
		Addon.Bottom.XPBarFrame:SetValue(50)
	  
	else
		local w = Addon.Bottom.ActionBarFrame:GetWidth();
		--local h = 24;
		Addon.Bottom.RepBarFrame:SetWidth(w);
		Addon.Bottom.XPBarFrame:SetHeight(h)
		Addon.Bottom.XPBarFrame:SetWidth(w);
		Addon.Bottom.XPBarFrame:SetHeight(h)
		Addon.Bottom.XPBarFrame:SetValue(50)
		
	end
   
	if (Addon.BottomLeft) then
		Addon.BottomLeft.SetAnchorToStatBars(value)
	end
	if (Addon.BottomRight) then
		Addon.BottomRight.SetAnchorToStatBars(value)
	end
   
end