-- libFoxActionBarStanceData.lua
-- Contains the Spell data for the Stance Actionbar.

--================================================================================================--
--=========================================== Header =============================================--
--================================================================================================--

----------------------------------------------------------------------------------------------------
-- Addon Variables
----------------------------------------------------------------------------------------------------
local LibraryName 		= "libFoxActionBarStance";
local LibraryVersion	= "1.0";
local lib;
local Console;

----------------------------------------------------------------------------------------------------
--  Get Library Info
----------------------------------------------------------------------------------------------------
if (LibStub:GetLibrary(LibraryName, true) == nil) then
	lib = LibStub:NewLibrary(LibraryName, LibraryVersion);
else
	lib = LibStub:GetLibrary(LibraryName);
end

----------------------------------------------------------------------------------------------------
--  Get Console
----------------------------------------------------------------------------------------------------
Console 			= LibStub:GetLibrary("FoxConsole");

--================================================================================================--
--=========================================== Header =============================================--
--================================================================================================--

lib.Actions 						= {}
lib.Actions["DEATHKNIGHT"]			= {48263, 48266, 48265};
lib.Actions["DRUID"]				= {5487, 1066, 768, 783, 24858, 114282, 33891, 33943, 40120};
lib.Actions["HUNTER"]				= {13165, 109260, 5118, 13159, 82661, 61648};
lib.Actions["MAGE"]					= {};
lib.Actions["MONK"]					= {103985, 115069, 115070};
lib.Actions["PALADIN"]				= {105361, 31801, 20165, 20154, 20164};
lib.Actions["PRIEST"]				= {15473};
lib.Actions["ROGUE"]				= {1784};
lib.Actions["SHAMAN"]				= {};
lib.Actions["WARLOCK"]				= {};
lib.Actions["WARRIOR"]				= {2457, 71, 2458};


lib.ActionsMod 						= {};
lib.ActionsMod["DEATHKNIGHT"]		= {48266, 48263, 48265};
lib.ActionsMod["DRUID"]				= {5487, 768, 24858, 114282, 33891, 783, 1066, 33943, 40120};
lib.ActionsMod["HUNTER"]			= {13165, 109260, 5118, 13159, 82661, 61648};
lib.ActionsMod["MAGE"]				= {};
lib.ActionsMod["MONK"]				= {103985, 115069, 115070};
lib.ActionsMod["PALADIN"]			= {105361, 31801, 20165, 20154, 20164};
lib.ActionsMod["PRIEST"]			= {15473};
lib.ActionsMod["ROGUE"]				= {1784};
lib.ActionsMod["SHAMAN"]			= {};
lib.ActionsMod["WARLOCK"]			= {};
lib.ActionsMod["WARRIOR"]			= {2457, 71, 2458};

function lib.GetStanceData(className, id)
	if (lib.Actions[className] ~= nil) then
		if (lib.Actions[className][id+1] ~= nil) then
			local id = lib.Actions[className][id+1];
			return "spell", id;
		end
	end
	return nil;
end
function lib.GetStanceDataReOrdered(className, id)
	if (lib.ActionsMod[className] ~= nil) then
		if (lib.ActionsMod[className][id+1] ~= nil) then
			local id = lib.ActionsMod[className][id+1];
			return "spell", id;
		end
	end
	return nil;
end