-- FoxSmoothUIMicroButtonController.lua
-- Handle the Micro Buttons.

local addonName, addonTable = ...
----------------------------------------------------------------------------------------------------
-- Addon Variables
----------------------------------------------------------------------------------------------------
local AddonName		= addonTable.Name;
local AddonVersion	= addonTable.Version;
local Addon;

----------------------------------------------------------------------------------------------------
--  Get Library Info
----------------------------------------------------------------------------------------------------
if (LibStub("AceAddon-3.0"):GetAddon(AddonName.." "..AddonVersion)) then
	Addon = LibStub("AceAddon-3.0"):GetAddon(AddonName.." "..AddonVersion);
else
	return;
end

--================================================================================================--
--=========================================== Header =============================================--
--================================================================================================--

-- Libraries
local libFrameCreator 			= LibStub:GetLibrary("FoxFrameCreator");

-- Variables
local ControllerName = "FoxSmoothUIMicroButtonController";

function Addon.CreateMicroButtonController()
	-- Create Frame, if needed
	if (Addon.MicroController == nil) then
		Addon.MicroController = libFrameCreator.New(ControllerName, false, 160, 80, UIParent, nil, "nil");
	end
	
	Addon.MicroController:SetBackdropColor(0.1, 0.1, 0.1, 0.6);
	--Addon.MicroController:SetWidth(166);
	--Addon.MicroController:SetHeight(80);
	Addon.MicroController:SetWidth(294);
	Addon.MicroController:SetHeight(46);
	
	-- Setup Events
	Addon.MicroController:SetScript("OnEvent", Addon.MicroButtonsOnEvent);
	Addon.MicroController:RegisterEvent("UNIT_EXITED_VEHICLE");
	Addon.MicroController:RegisterEvent("PET_BATTLE_OVER");
	
	Addon.MicroController:RegisterEvent("UNIT_ENTERED_VEHICLE");
	Addon.MicroController:RegisterEvent("PET_BATTLE_OPENING_START");
	
	-- Set Parent
	Addon.MicroController:SetParent(Addon.MainFrame);
	
	-- Update MicroButton Controller
	Addon.Update_MicroButtons(true);
	
	Addon.MicroController:SetScript("OnShow", Addon.MicroButtonsUpdate);
	
	-- Show Micro Button Controller
	Addon.MicroController:Show();
end

function Addon.MicroButtonsOnEvent(self, event, arg1, ...)
	-- Update MicroButton Controller
	Addon.Update_MicroButtons(true);
end

function Addon.Update_MicroButtons(forceUpdate)
	Addon.DebugPrint("Update_MicroButtons("..tostring(forceUpdate)..")");
	local self = Addon.MicroController;
	if ((self.NeedUpdateMicroButtons) or (forceUpdate)) then
		Addon.MicroButtonsUpdate();
	end
end

function Addon.MicroButtonsUpdate()
	local self = Addon.MicroController;
	Addon.DebugPrint("MicroButtonsUpdate()");
	
	local OverridingUIShown = (PetBattleFrame:IsShown()) or (OverrideActionBar:IsShown());
	if (OverridingUIShown) then
		Addon.MicroController:Hide();
	else
		-- Update MicroButtons Placement
		UpdateMicroButtonsParent(Addon.MicroController);
		--MoveMicroButtons("TOPLEFT", Addon.MicroController, "TOPLEFT", 4, 16, true);
		MoveMicroButtons("TOPLEFT", Addon.MicroController, "TOPLEFT", 4, 16, false);
		if (Addon.db.profile.ShowBlizzOptions) then
			Addon.MicroController:Show();
		else
			Addon.MicroController:Hide();
		end
	end
	-- Remove Update Flag
	
	self.NeedUpdateMicroButtons = false;
end


--Addon.CreateMicroButtonController()
--Addon.Update_MicroButtons(forceUpdate)
--Addon.MicroController:Show();