-- BottomLeft.lua
-- Creates the BottomLeft ActionBars (BottomLeft.ActionBar[1-4])

local addonName, addonTable = ...
----------------------------------------------------------------------------------------------------
-- Addon Variables
----------------------------------------------------------------------------------------------------
local AddonName		= addonTable.Name;
local AddonVersion	= addonTable.Version;
local Addon;

----------------------------------------------------------------------------------------------------
--  Get Library Info
----------------------------------------------------------------------------------------------------
if (LibStub("AceAddon-3.0"):GetAddon(AddonName.." "..AddonVersion)) then
	Addon = LibStub("AceAddon-3.0"):GetAddon(AddonName.." "..AddonVersion);
else
	return;
end

--================================================================================================--
--=========================================== Header =============================================--
--================================================================================================--

----------------------------------------------------------------------------------------------------
-- libs
----------------------------------------------------------------------------------------------------
local libFrameCreator			= LibStub:GetLibrary("FoxFrameCreator");
local libFoxActionBarPet 		= LibStub:GetLibrary("libFoxActionBarPet");
----------------------------------------------------------------------------------------------------

----------------------------------------------------------------------------------------------------
-- Module Variables
----------------------------------------------------------------------------------------------------
-- Array Safety
Addon.Bottom = Addon.Bottom or {};
local module = Addon.Bottom;

-- Array Setup
module.PetBar 		= {};

-- Module Locals
local actionBarFrameName 	= "FSUI_Bottom_PetBarFrame";
local actionBarRowCount 	= 1;
local actionBarButtonCount 	= 12;


-- Function Definitions

----------------------------------------------------------------------------------------------------

function module.PetBar.Create(self, parent, anchor, addonName, addonGroup)
	-- Variables
	local name = actionBarFrameName;
	local self;
	--
	
	-- Create Frame
	-- Check, and Create/Setup, or just Setup
	if (_G[name] == nil) then
		self = libFoxActionBarPet.New(name, nil, nil, nil, addonName, addonGroup);
	else
		self = libFoxActionBarPet.Setup(_G[name], nil, nil, nil, addonName, addonGroup);
	end
	
	-- Set Parent
	self:SetParent(parent);
	
	print(self:GetAttribute("updateState"));
	
	-- Hide Pet Bar
	self:Hide();
	
	
	-- Add Bars to DataTable
	Addon.BarTable = Addon.BarTable or {};
	table.insert(Addon.BarTable, {self, true});
	
	--for i = 2, #module.StanceBar.Bars do
		--table.insert(Addon.BarTable, {module.StanceBar.Bars[i], nil});
	--end
	
	return self;
end


--module.ActionBar.Create(self, parent)
--module.PetActionBar 	= module.PetBar.Create(module.PetActionBar, module.ActionBarFrame);