-- BottomLeftCurrency.lua
-- Handles the CurrencyBar

local addonName, addonTable = ...
----------------------------------------------------------------------------------------------------
-- Addon Variables
----------------------------------------------------------------------------------------------------
local AddonName		= addonTable.Name;
local AddonVersion	= addonTable.Version;
local Addon;

----------------------------------------------------------------------------------------------------
--  Get Library Info
----------------------------------------------------------------------------------------------------
if (LibStub("AceAddon-3.0"):GetAddon(AddonName.." "..AddonVersion)) then
	Addon = LibStub("AceAddon-3.0"):GetAddon(AddonName.." "..AddonVersion);
else
	return;
end

--================================================================================================--
--=========================================== Header =============================================--
--================================================================================================--

----------------------------------------------------------------------------------------------------
-- libs
----------------------------------------------------------------------------------------------------
local libFrameCreator	= LibStub:GetLibrary("FoxFrameCreator");

----------------------------------------------------------------------------------------------------
-- Module Variables
----------------------------------------------------------------------------------------------------
-- Array Safety
Addon.BottomRight = Addon.BottomRight or {};
Addon.BottomRight.StopWatch = Addon.BottomRight.StopWatch or {};

local module = Addon.BottomRight.StopWatch;

-- Setup Frame Variables
local frameName 	= "FSUI_StopWatch";
local frameWidth 	= 136;
local frameHeight 	= 24;

-- Function Definitions
--...
----------------------------------------------------------------------------------------------------

function module.Create(self, anchorFrame, parent)
	local name = frameName;
	if (_G[name] == nil) then
		self = libFrameCreator.New(name);
	else
		self = libFrameCreator.Setup(_G[name]);
	end

	-- Set Parent
	self:SetParent(parent);

	-- Set Position
	self:ClearAllPoints();
	self:SetPoint("BottomRight", anchorFrame, "TopRight", 0, 0);
	self:SetWidth(frameWidth);
	self:SetHeight(frameHeight);
	
	
	self.Setup = module.Setup;
	self.Reset = module.Reset;
	
	return self;
end

function module.Setup(self)
	local name;
	local stopWatch;
	local stopWatchTab;
	local texture1, texture2, texture3, texture4;
	local stopWatchCloseButton;
	
	name = "StopwatchFrame";
	stopWatch = _G[name]

	name = "StopwatchTabFrame";
	stopWatchTab = _G[name]
	
	name = "StopwatchCloseButton";
	stopWatchCloseButton = _G[name]

	-- Get and Hide Textures
	texture1, texture2 = stopWatch:GetRegions()
	texture1:Hide();
	texture2:Hide();
	
	-- Hide Tab Graphics
	texture1, texture2, texture3, texture4 = stopWatchTab:GetRegions()
	texture1:Hide();
	texture2:Hide();
	texture3:Hide();
	texture4:Hide();
	
	stopWatch:SetFrameStrata("LOW");
	--stopWatch:SetFrameLevel(1);
	
	-- Set Position
	stopWatch:ClearAllPoints();
	stopWatch:SetPoint("Right", self, "Right", 1, 7);
	
	-- Hide Tab Close Button
	stopWatchCloseButton:ClearAllPoints();
	stopWatchCloseButton:SetPoint("TopRight", UIParent, "TopLeft", -200, 0);
	
	-- Disable Mouse (Dragging)
	stopWatch:EnableMouse(false);
	
	-- Show StopWatch
	stopWatch:Show();
end

function module.Reset(self)
	local name;
	local stopWatch;
	local stopWatchTab;
	local texture1, texture2, texture3, texture4;
	local stopWatchCloseButton;
	
	name = "StopwatchFrame";
	stopWatch = _G[name]

	name = "StopwatchTabFrame";
	stopWatchTab = _G[name]
	
	name = "StopwatchCloseButton";
	stopWatchCloseButton = _G[name]

	-- Get and Show Textures
	texture1, texture2 = stopWatch:GetRegions()
	texture1:Show();
	texture2:Show();
	
	-- Show Tab Graphics
	texture1, texture2, texture3, texture4 = stopWatchTab:GetRegions()
	texture1:Show();
	texture2:Show();
	texture3:Show();
	texture4:Show();
	
	stopWatch:SetFrameStrata("Dialog");
	
	-- Set Position
	--stopWatch:ClearAllPoints();
	--stopWatch:SetPoint("Right", self, "Right", 1, 7);
	
	-- Hide Tab Close Button
	stopWatchCloseButton:ClearAllPoints();
	stopWatchCloseButton:SetPoint("TopRight", 1, 1);
	
	-- Disable Mouse (Dragging)
	stopWatch:EnableMouse(true);
	
	-- Show StopWatch
	stopWatch:Show();
end
-- Methods
