-- BottomLeftCurrency.lua
-- Handles the CurrencyBar

local addonName, addonTable = ...
----------------------------------------------------------------------------------------------------
-- Addon Variables
----------------------------------------------------------------------------------------------------
local AddonName		= addonTable.Name;
local AddonVersion	= addonTable.Version;
local Addon;

----------------------------------------------------------------------------------------------------
--  Get Library Info
----------------------------------------------------------------------------------------------------
if (LibStub("AceAddon-3.0"):GetAddon(AddonName.." "..AddonVersion)) then
	Addon = LibStub("AceAddon-3.0"):GetAddon(AddonName.." "..AddonVersion);
else
	return;
end

--================================================================================================--
--=========================================== Header =============================================--
--================================================================================================--

----------------------------------------------------------------------------------------------------
-- libs
----------------------------------------------------------------------------------------------------
local libFrameCreator	= LibStub:GetLibrary("FoxFrameCreator");

----------------------------------------------------------------------------------------------------
-- Module Variables
----------------------------------------------------------------------------------------------------
-- Array Safety
Addon.BottomRight = Addon.BottomRight or {};
Addon.BottomRight.TitleFrame = Addon.BottomRight.TitleFrame or {};

local module = Addon.BottomRight.TitleFrame;

-- Setup Frame Variables
local frameName 	= "FSUI_TitleBar";
local frameWidth 	= 136;
local frameHeight 	= 24;

-- Function Definitions
--...
----------------------------------------------------------------------------------------------------

function module.Create(self, anchorFrame, parent, width)
	local name = frameName;
	if (_G[name] == nil) then
		self = libFrameCreator.New(name);
	else
		self = libFrameCreator.Setup(_G[name]);
	end

	-- Set Parent
	self:SetParent(parent);

	-- Set Position
	self:ClearAllPoints();
	self:SetPoint("TopRight", anchorFrame, "TopLeft", 0, 0);
	self:SetWidth(width or frameWidth);
	self:SetHeight(frameHeight);
	
	-- Show Frame
	self:Show();
	
	-- Create Label
	self.label1 = libFrameCreator.CreateLabel(self.label1, self, "Fox Smooth UI v"..AddonVersion, "Center", self, "Center", 0, 0, 120, 24, "Center", "Middle");
	self.label1:SetTextColor(0, 1, 0, 1)
	
	return self;
end
